Skip to content
Start here

Stop full PCAP

client.magicTransit.pcaps.stop(stringpcapId, PCAPStopParams { account_id } params, RequestOptionsoptions?): void
PUT/accounts/{account_id}/pcaps/{pcap_id}/stop

Stop full PCAP.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic Firewall Packet Captures - Write PCAPs API
ParametersExpand Collapse
pcapId: string

Identifier.

maxLength32
params: PCAPStopParams { account_id }
account_id: string

Identifier.

maxLength32

Stop full PCAP

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.magicTransit.pcaps.stop('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});
Returns Examples